通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Load Test Administration - Delete Test File

按测试的文件名删除文件

DELETE https://{endpoint}/tests/{testId}/files/{fileName}?api-version=2022-11-01

URI 参数

名称 必需 类型 说明
endpoint
path True

string (uri)

fileName
path True

string

文件的名称。

testId
path True

string

minLength: 2
maxLength: 50
pattern: ^[a-z0-9_-]*$

负载测试的唯一测试标识符,必须仅包含小写字母、数字、下划线或连字符字符。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

响应

名称 类型 说明
204 No Content

没有要为此请求发送的内容,但标头可能很有用。

Other Status Codes

Azure.Core.Foundations.ErrorResponse

意外的错误响应。

标头

x-ms-error-code: string

安全性

Oauth2

具有 Microsoft Entra ID 的 OAuth 2.0 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

作用域

名称 说明
https://cnt-prod.loadtesting.azure.com/.default

示例

Delete a file from a load test

示例请求

DELETE https://{endpoint}/tests/12345678-1234-1234-1234-123456789012/files/app.jmx?api-version=2022-11-01

示例响应

定义

名称 说明
Azure.Core.Foundations.Error

错误对象。

Azure.Core.Foundations.ErrorResponse

包含错误详细信息的响应。

Azure.Core.Foundations.InnerError

包含有关错误的更具体信息的对象。 根据 Azure REST API 准则 - https://aka.ms/AzureRestApiGuidelines#handling-errors

Azure.Core.Foundations.Error

错误对象。

名称 类型 说明
code

string

服务器定义的错误代码集之一。

details

Azure.Core.Foundations.Error[]

导致此报告错误的特定错误的详细信息数组。

innererror

Azure.Core.Foundations.InnerError

包含与当前对象有关错误的更具体信息的对象。

message

string

错误的人工可读表示形式。

target

string

错误的目标。

Azure.Core.Foundations.ErrorResponse

包含错误详细信息的响应。

名称 类型 说明
error

Azure.Core.Foundations.Error

错误对象。

Azure.Core.Foundations.InnerError

包含有关错误的更具体信息的对象。 根据 Azure REST API 准则 - https://aka.ms/AzureRestApiGuidelines#handling-errors

名称 类型 说明
code

string

服务器定义的错误代码集之一。

innererror

Azure.Core.Foundations.InnerError

内部错误。